import os
import json
from huggingsound import SpeechRecognitionModel, KenshoLMDecoder


LANGS = os.path.join(os.path.dirname(os.path.realpath(__file__)), "languagecodes.json")
with open(LANGS, 'r') as f:
	languages = json.load(f)

models = {}
decoders = {}
for code, lang in languages.items():
	models[code] = SpeechRecognitionModel("jonatasgrosman/wav2vec2-large-xlsr-53-" + lang)
	lm_path = "../files/" + code + "/lm.binary"
	unigrams_path = "../files/" + code + "/unigrams.txt"
	decoders[code] = KenshoLMDecoder(models[code].token_set, lm_path=lm_path, unigrams_path=unigrams_path)